Skip to main content
GET
List Customer Transactions
Any fiat transactions submitted between 9:30 AM and 5:30 PM ET on a weekday are processed the same day. Transactions submitted outside these hours or on weekends will be settled the next business day.

Authorizations

Authorization
string
header
required

Bearer token authentication. Obtain token from Issue a Token endpoint

Query Parameters

customer_id
string
required

The customer ID to fetch transactions for.

type
enum<string>

Filter transactions by type.

Available options:
ONRAMP,
OFFRAMP,
CRYPTO_WITHDRAWAL,
CRYPTO_DEPOSIT
current_page
integer
default:1

The page number to retrieve

Required range: x >= 1
per_page
integer
default:10

Number of results per page. Must be between 1 and 100.

Required range: 1 <= x <= 100

Response

Transactions retrieved successfully

data
object